summaryrefslogtreecommitdiff
path: root/distro/ubuntu/build
diff options
context:
space:
mode:
Diffstat (limited to 'distro/ubuntu/build')
-rwxr-xr-xdistro/ubuntu/build35
1 files changed, 35 insertions, 0 deletions
diff --git a/distro/ubuntu/build b/distro/ubuntu/build
new file mode 100755
index 00000000..776572ca
--- /dev/null
+++ b/distro/ubuntu/build
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# fill it
+pkgname=mate-window-manager
+pkgver=2011.11.28
+pkgrel=1
+pkgdesc="A window manager for MATE"
+depends=('mate-conf' 'mate-dialogs' 'libgtop2-7' 'libwnck22')
+# editar esta funcion!
+build() {
+ cd $pkgsrc
+ # descomprimir
+ tar xvzf download
+ # entramos a la carpeta
+ cd ${pkgname}
+
+ ./autogen.sh \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib/${pkgname} \
+ --disable-static \
+ --disable-startup-notification \
+ --disable-scrollkeeper || return 1
+ make || return 1
+
+ make MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install
+
+ install -m755 -d "${pkgdir}/usr/share/mateconf/schemas"
+ mateconf-merge-schema "${pkgdir}/usr/share/mateconf/schemas/${pkgname}.schemas" --domain ${pkgname} ${pkgdir}/etc/mateconf/schemas/*.schemas
+ rm -f ${pkgdir}/etc/mateconf/schemas/*.schemas
+}
+
+# esto incluye la parte que se repite en la mayoria de los builds
+. /usr/share/mate-doc-utils/mate-debian.sh